package com.kmall.api.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 订单订购人支付人核验记录实体
 * 表名 mall_order_buyer_pay_check
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-10-25 17:53:21
 */
public class OrderBuyerPayCheckEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private Integer id;
    /**
     * 订单编号
     */
    private String orderSn;
    /**
     * 订购人支付人核验，0:一致，1:不一致，2:未知，核对订购人与支付人证件类型，证件号码，姓名是否一致
     */
    private String buyerPayCheck;
    /**
     * 核验时间
     */
    private Date checkTime;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    /**
     * 设置：
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：订单编号
     */
    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    /**
     * 获取：订单编号
     */
    public String getOrderSn() {
        return orderSn;
    }
    /**
     * 设置：订购人支付人核验，0:一致，1:不一致，2:未知，核对订购人与支付人证件类型，证件号码，姓名是否一致
     */
    public void setBuyerPayCheck(String buyerPayCheck) {
        this.buyerPayCheck = buyerPayCheck;
    }

    /**
     * 获取：订购人支付人核验，0:一致，1:不一致，2:未知，核对订购人与支付人证件类型，证件号码，姓名是否一致
     */
    public String getBuyerPayCheck() {
        return buyerPayCheck;
    }
    /**
     * 设置：核验时间
     */
    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    /**
     * 获取：核验时间
     */
    public Date getCheckTime() {
        return checkTime;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
